Subject: bug#25482: 26.0.50; Allow setting `query-replace-from-to-separator` to nil

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Jan 2017 13:01:36 +0200

> From: Thierry Volpiatto <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 28 Jan 2017 11:43:48 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, but I don't understand why you want to get rid of the display
> > property.
> 
> This complicate the code and force external apps to handle this, see
> https://github.com/emacs-helm/helm/commit/2b8576c0705145b5d133e41478976eef5b3d7390

Maybe I'm missing something, but the above is no different from the
need to adapt to any new feature in core Emacs.

> Selecting foo → bar in a list results in foo^@bar being entered into the
> minibuffer, not with the query-replace interface but when handling the
> history list from somewhere else.

Yes, the external packages need to adapt to this, if they want to use
the internal features.  I don't think this can be avoided in general.